dep:
  - v_listes_1
src: |
  (
          (
                   SELECT v_listes_1.liste_id_combo AS oid,
                      v_listes_1.texte,
                      ''::text AS code,
                      v_listes_1.lvl AS level,
                      ('0'::text || v_listes_1.sort) || chr(1) AS tri,
                          CASE
                              WHEN v_listes_1.is_cti = '1'::text OR v_listes_1.code ~~ 'CTI_%'::text THEN '1'::character(1)
                              ELSE '0'::character(1)
                          END AS is_cti
                     FROM pmsi.v_listes_1
                    WHERE v_listes_1.table_code = 'INDICATIONUCD'::text AND v_listes_1.lvl <> '0'::text
                  UNION
                   SELECT ('LC'::text || lpad(t_classes.sequence::text, 2, '0'::text)) || t_classes.oid::text AS oid,
                      t_classes.texte,
                      ''::text AS code,
                      '1'::text AS level,
                      '5'::text || btrim(rpad(lpad(t_classes.sequence::text, 2, '0'::text), 10, ' '::text)) AS tri,
                          CASE
                              WHEN t_classes.is_cti = '1'::bpchar OR t_classes.code ~~ 'CTI_%'::text THEN '1'::character(1)
                              ELSE '0'::character(1)
                          END AS is_cti
                     FROM pmsi.t_classes,
                      pmsi.t_listes_tables
                    WHERE t_classes.table_id = t_listes_tables.oid AND t_listes_tables.code = 'INDICATIONUCD'::text
          ) UNION ALL
           SELECT ('LS'::text || lpad(t_classes.sequence::text, 2, '0'::text)) || t_classes_sections.oid::text AS oid,
              t_classes_sections.texte,
              ''::text AS code,
              '2'::text AS level,
              '5'::text || btrim(rpad(lpad(t_classes.sequence::text, 2, '0'::text), 10, ' '::text) || t_classes_sections.code) AS tri,
                  CASE
                      WHEN t_classes.is_cti = '1'::bpchar OR t_classes.code ~~ 'CTI_%'::text THEN '1'::character(1)
                      ELSE '0'::character(1)
                  END AS is_cti
             FROM pmsi.t_classes,
              pmsi.t_classes_sections,
              pmsi.t_listes_tables
            WHERE t_classes.table_id = t_listes_tables.oid AND t_classes_sections.classe_id = t_classes.oid AND t_listes_tables.code = 'INDICATIONUCD'::text
          UNION ALL
           SELECT ('LS'::text || lpad(t_classes.sequence::text, 2, '0'::text)) || '0'::text AS oid,
              'Section non attribuée'::character varying AS texte,
              ''::text AS code,
              '2'::text AS level,
              '5'::text || btrim(rpad(lpad(t_classes.sequence::text, 2, '0'::text), 10, ' '::text) || chr(255)) AS tri,
                  CASE
                      WHEN t_classes.is_cti = '1'::bpchar OR t_classes.code ~~ 'CTI_%'::text THEN '1'::character(1)
                      ELSE '0'::character(1)
                  END AS is_cti
             FROM pmsi.t_classes,
              pmsi.t_listes_tables
            WHERE t_classes.table_id = t_listes_tables.oid AND t_listes_tables.code = 'INDICATIONUCD'::text
  ) UNION
   SELECT 'IU'::text || t_indication.oid::text AS oid,
      (t_indication.code::text || ' '::text) || t_indication.texte_court AS texte,
      t_indication.code,
      '1'::text AS level,
      '9'::text || t_indication.code::text AS tri,
      '0'::character(1) AS is_cti
     FROM pmsi.t_indication
    ORDER BY 5;